Page MenuHomePhabricator

Release 6.5
Closed, ResolvedPublic

Description

Release version: 6.5
Release tag: releases/6.5.0
Release SHA1: e96166dfd9304cd67c8992a98f6297026c501c66
App Store Submission Date: 11/27/2019
App Store Approval Date: 11/27/2019
App Store Release Date: 12/02/2019
Regression Testing URL: See subtask


Pre-release

  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Nov 21 2019, 8:14 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptNov 21 2019, 8:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as High priority.Nov 22 2019, 10:00 PM
JMinor updated the task description. (Show Details)
JMinor reassigned this task from JMinor to LGoto.Dec 2 2019, 6:40 PM
JMinor updated the task description. (Show Details)
JMinor added a subscriber: JMinor.
LGoto closed this task as Resolved.Dec 3 2019, 9:59 PM
LGoto updated the task description. (Show Details)